const express = require("express");
const router = express.Router();
const ldbsController = require("../controllers/ldbs.controllers");

/* GET programming languages. */
//router.get('/', programmingLanguagesController.get);

/* POST programming language */
//router.post('/', programmingLanguagesController.create);

/* PUT programming language */
//router.put('/:id', programmingLanguagesController.update);

/* DELETE programming language */
//router.delete('/:id', programmingLanguagesController.remove);

router.get("/arrdep/:id", ldbsController.get);
router.get("/reasonCode", ldbsController.getReasonCodeList);
router.get("/reasonCode/:code", ldbsController.getReasonCode);
router.get("/service/rid/:rid", ldbsController.getTrainByRID);

module.exports = router;
